import request from '@/utils/request'

// 查询呼叫接口列表
export function listCompanyVoiceApi(query) {
  return request({
    url: '/company/companyVoiceApi/list',
    method: 'get',
    params: query
  })
}
export function getVoiceApiList() {
  return request({
    url: '/company/companyVoiceApi/getVoiceApiList',
    method: 'get'
  })
}


// 查询呼叫接口详细
export function getCompanyVoiceApi(apiId) {
  return request({
    url: '/company/companyVoiceApi/' + apiId,
    method: 'get'
  })
}

// 新增呼叫接口
export function addCompanyVoiceApi(data) {
  return request({
    url: '/company/companyVoiceApi',
    method: 'post',
    data: data
  })
}

// 修改呼叫接口
export function updateCompanyVoiceApi(data) {
  return request({
    url: '/company/companyVoiceApi',
    method: 'put',
    data: data
  })
}

// 删除呼叫接口
export function delCompanyVoiceApi(apiId) {
  return request({
    url: '/company/companyVoiceApi/' + apiId,
    method: 'delete'
  })
}

// 导出呼叫接口
export function exportCompanyVoiceApi(query) {
  return request({
    url: '/company/companyVoiceApi/export',
    method: 'get',
    params: query
  })
}